> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1viewerlicenses



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json get /api/v1/Viewer/Licenses
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/Viewer/Licenses:
    get:
      tags:
        - License
      operationId: License_GetViewerLicenses
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetLicenseTypesResult'
components:
  schemas:
    GetLicenseTypesResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            LicenseTypes:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/LicenseType'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    LicenseType:
      type: object
      additionalProperties: false
      properties:
        ID:
          type: string
          nullable: true
        Name:
          type: string
          nullable: true
        ApplicationType:
          type: string
          nullable: true
        Total:
          type: integer
        Used:
          type: integer
        IsDemo:
          type: boolean
        ValidFrom:
          type: string
          format: date-time
          nullable: true
        ValidUntil:
          type: string
          format: date-time
          nullable: true
        Restricted:
          type: boolean
        Elements:
          type: array
          nullable: true
          items:
            type: string
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````